Subject: Notification: incoming/782

From: [email-masked]
Date: Tue, 18 Sep 2001 11:41:29 -0500

FVWM Bug Tracking notification

new message incoming/782

Message summary for PR#782
	From: [email-masked]
	Subject: mouse event doubled
	Date: Tue, 18 Sep 2001 11:07:34 -0500
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

>From [email-masked] Tue Sep 18 11:41:28 2001
From: [email-masked]
To: [email-masked]
Subject: mouse event doubled
Date: Tue, 18 Sep 2001 11:07:34 -0500

Full_Name: Jacek Kopecky
Version: 2.4.1
CVS_Date: 
OS: 
X_Server: 
Submission from: (NULL) (194.213.203.154)

I use mouse wheel to move around virtual screens. 
The wheel is mapped to mouse buttons 4 and 5.
My config:

Mouse 5         A       MC      Scroll 0 100000
Mouse 4         A       MC      Scroll 0 -100000
Mouse 5         RSF     A       Scroll 0 100000
Mouse 4         RSF     A       Scroll 0 -100000

So ctrl-alt-wheel moves to the screen above or below, as does
wheel on root, sides or frames. The problem is that when I press
ctrl and alt and I use a wheel inside a window, and the screen 
above/below is empty, the movement is doubled - like it were
Scroll 0 +/- 200000

This does not occur when the screen above/below the original one
does contain a window (or more precisely when the cursor after the
first scroll appears in a window - I use MouseFocus), when the mouse
is on root/sides/frame of a window when I move it, or when the scroll
command is inside a function, like my current workaround config:

DestroyFunc scr1
AddToFunc scr1 I Scroll 0 100000

DestroyFunc scr2
AddToFunc scr2 I Scroll 0 -100000

Mouse 5         RSF     A       Function scr1
Mouse 4         RSF     A       Function scr2
Mouse 5         A       MC      Function scr1
Mouse 4         A       MC      Function scr2

This doubling doesn't occur also when the command is, for example,
echo, instead of scroll. Nor when the scroll number is, 
for example, 10. It's highly mysterious. 8-)

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]